(function($){
    var $document = $(document);

    $document.off('builder.area.draw');
    $document.on('builder.area.draw', function(event, position, size) {
        var $sys_builder_container = $('.sys_builder_container');
        var template = $.templateEngine.init('builder.area');
        $sys_builder_container.html(template.applyTemplate('area'));
        var $area = $('.sys_builder_container .builder_area');
        $area.css({
            left: position[0] + 'px',
            top: position[1] + 'px',
            width: size[0] + 'px',
            height: size[1] + 'px'
        });
    });

})(SWjQuery);